## ros-rolling-moveit-visual-tools 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(moveit_visual_tools)

find_package(moveit_common REQUIRED)
moveit_package()

# Load  all dependencies required for this package
find_package(Boost REQUIRED system)
find_package(Eigen3 REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(graph_msgs REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rviz_visual_tools REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(trajectory_msgs REQUIRED)
find_package(visualization_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  Boost
  geometry_msgs
  graph_msgs
  moveit_core
  moveit_ros_planning
  rclcpp
  rviz_visual_tools
  std_msgs
  tf2_eigen
  tf2_ros
  trajectory_msgs
  visualization_msgs
)

# Visualization Tools Library
add_library(${PROJECT_NAME} SHARED
  src/${PROJECT_NAME}.cpp
  src/imarker_robot_state.cpp
  src/imarker_end_effector.cpp
)

target_include_directories(${PROJECT_NAME}
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  PUBLIC $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

# Demo executable
add_executable(${PROJECT_NAME}_demo
  src/${PROJECT_NAME}_demo.cpp
)
target_link_libraries(${PROJECT_NAME}_demo
  ${PROJECT_NAME}
)
ament_target_dependencies(${PROJECT_NAME}_demo ${THIS_PACKAGE_INCLUDE_DEPENDS})


# Exports
ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

#############
## Install ##
#############

# Install libraries
install(
  TARGETS ${PROJECT_NAME}
  EXPORT
    export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

# Install executables
install(
  TARGETS ${PROJECT_NAME}_demo
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

# Install header files
install(DIRECTORY include/ DESTINATION include)

# Install shared resources
install(DIRECTORY launch resources DESTINATION share/${PROJECT_NAME})

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-moveit-visual-tools (4.0.0-1focal) focal; urgency=high

  * Port to ros2 (#92 <https://github.com/ros-planning/moveit_visual_tools/issues/92>)
  * Fix typo in package.xml (#87 <https://github.com/ros-planning/moveit_visual_tools/issues/87>)
  * Contributors: Davide Faconti, Felix von Drigalski, Vatan Aksoy Tezer

 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Sep 2021 21:00:00 -0000

ros-rolling-moveit-visual-tools (3.6.0-1focal) focal; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Oct 2020 21:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.2-1focal) focal; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Sun, 09 Dec 2018 21:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.1-1focal) focal; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Nov 2018 21:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.0-1focal) focal; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is
    neglectible and could be optimized later
  * Moved boost::shared_ptr to std for tf2
  * Converted to use tf2 moveit interfaces
  * Fix broken CI for Melodic
  * Fix Continuous Integration
  * Contributors: Dave Coleman, Ian McMahon, Mike Lautman, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Tue, 04 Sep 2018 21:00:00 -0000

ros-rolling-moveit-visual-tools (3.4.0-1focal) focal; urgency=high

  * Apply current MoveIt clang-format
  * Various improvements needed while finishing planning thesis
  * Fix greater than/less than issue in clearance check
  * Ability to specify clearance for random state


=== debian/control ===
Source: ros-rolling-moveit-visual-tools
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-geometry-msgs, ros-rolling-graph-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-rclcpp, ros-rolling-rviz-visual-tools, ros-rolling-std-msgs, ros-rolling-tf2-eigen, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-rolling-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-graph-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-rclcpp, ros-rolling-rviz-visual-tools, ros-rolling-std-msgs, ros-rolling-tf2-eigen, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: Helper functions for displaying and debugging MoveIt data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-visual-tools//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-moveit-visual-tools 4.1.0

=== debian/changelog ===
ros-rolling-moveit-visual-tools (4.1.0-2jammy) jammy; urgency=high

  * Update black version (#117 <https://github.com/ros-planning/moveit_visual_tools/issues/117>)
  * Jammy fixes and clang-format-12 (#116 <https://github.com/ros-planning/moveit_visual_tools/issues/116>)
  * Fixed deprecated call to PlanningSceneMonitor's constructor (#108 <https://github.com/ros-planning/moveit_visual_tools/issues/108>)
  * Remove Foxy CI builds (#111 <https://github.com/ros-planning/moveit_visual_tools/issues/111>)
  * Generate license using ament_copyright (#105 <https://github.com/ros-planning/moveit_visual_tools/issues/105>)
  * Contributors: Jafar Abdi, Stephanie Eng, Vatan Aksoy Tezer

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 May 2022 07:00:00 -0000

ros-rolling-moveit-visual-tools (4.0.0-2jammy) jammy; urgency=high

  * Port to ros2 (#92 <https://github.com/ros-planning/moveit_visual_tools/issues/92>)
  * Fix typo in package.xml (#87 <https://github.com/ros-planning/moveit_visual_tools/issues/87>)
  * Contributors: Davide Faconti, Felix von Drigalski, Vatan Aksoy Tezer

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Sep 2021 07:00:00 -0000

ros-rolling-moveit-visual-tools (3.6.0-2jammy) jammy; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Fri, 09 Oct 2020 07:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.2-2jammy) jammy; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 10 Dec 2018 08:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.1-2jammy) jammy; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 08:00:00 -0000

ros-rolling-moveit-visual-tools (3.5.0-2jammy) jammy; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-geometry-msgs, ros-rolling-graph-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-rclcpp, ros-rolling-rviz-visual-tools, ros-rolling-std-msgs, ros-rolling-tf2-eigen, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-graph-msgs, ros-rolling-moveit-common, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-rclcpp, ros-rolling-rviz-visual-tools, ros-rolling-std-msgs, ros-rolling-tf2-eigen, ros-rolling-tf2-ros, ros-rolling-trajectory-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
 Homepage: https://github.com/ros-planning/moveit_visual_tools
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
